Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
release-policies
List release policies
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-policies \
  --header 'Authorization: <api-key>' \
  --header 'LD-API-Version: <ld-api-version>'
{
  "totalCount": 42,
  "items": [
    {
      "releaseMethod": "guarded-release",
      "_access": {
        "allowed": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ],
        "denied": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ]
      },
      "scope": {
        "environmentKeys": [
          "production",
          "staging"
        ],
        "flagTagKeys": [
          "frontend",
          "backend"
        ],
        "viewKeys": [
          "feature-a",
          "team-a"
        ]
      },
      "progressiveReleaseConfig": {
        "rolloutContextKindKey": "user",
        "stages": [
          {
            "allocation": 25000,
            "durationMillis": 60000
          },
          {
            "allocation": 25000,
            "durationMillis": 60000
          }
        ]
      },
      "name": "Production Release",
      "rank": 1,
      "_id": "550e8400-e29b-41d4-a716-446655440000",
      "guardedReleaseConfig": {
        "metricKeys": [
          "http-errors",
          "latency"
        ],
        "rolloutContextKindKey": "user",
        "metricGroupKeys": [
          "frontend-metrics",
          "backend-metrics"
        ],
        "minSampleSize": 100,
        "stages": [
          {
            "allocation": 25000,
            "durationMillis": 60000
          },
          {
            "allocation": 25000,
            "durationMillis": 60000
          }
        ],
        "rollbackOnRegression": true
      },
      "key": "production-release"
    },
    {
      "releaseMethod": "guarded-release",
      "_access": {
        "allowed": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ],
        "denied": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ]
      },
      "scope": {
        "environmentKeys": [
          "production",
          "staging"
        ],
        "flagTagKeys": [
          "frontend",
          "backend"
        ],
        "viewKeys": [
          "feature-a",
          "team-a"
        ]
      },
      "progressiveReleaseConfig": {
        "rolloutContextKindKey": "user",
        "stages": [
          {
            "allocation": 25000,
            "durationMillis": 60000
          },
          {
            "allocation": 25000,
            "durationMillis": 60000
          }
        ]
      },
      "name": "Production Release",
      "rank": 1,
      "_id": "550e8400-e29b-41d4-a716-446655440000",
      "guardedReleaseConfig": {
        "metricKeys": [
          "http-errors",
          "latency"
        ],
        "rolloutContextKindKey": "user",
        "metricGroupKeys": [
          "frontend-metrics",
          "backend-metrics"
        ],
        "minSampleSize": 100,
        "stages": [
          {
            "allocation": 25000,
            "durationMillis": 60000
          },
          {
            "allocation": 25000,
            "durationMillis": 60000
          }
        ],
        "rollbackOnRegression": true
      },
      "key": "production-release"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Headers

LD-API-Version
enum<string>
required

Version of the endpoint.

Available options:
beta

Path Parameters

projectKey
string
required

The project key

Query Parameters

excludeDefault
boolean
default:false

When true, exclude the default release policy from the response. When false or omitted, include the default policy if an environment filter is present.

Response

List of release policies

items
object[]
required

List of release policies

totalCount
integer
required

Total number of release policies

Example:

42